Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:41 2009

## Asterisk developer's documentation

# iax_template Struct Reference

Collaboration diagram for iax_template:

[legend]

## Data Fields

unsigned int | altserver
int | dead
unsigned int | flags
unsigned int | format
char | lang [10]
char | name [80]
struct iax_template * | next
char | pass [20]
unsigned short | port
unsigned int | server
unsigned short | serverport
char | src [80]
int | tos
char | user [20]

## Detailed Description

Definition at line 57 of file iax2-provision.c.

## Field Documentation

unsigned int altserver

Definition at line 68 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

int dead

Definition at line 58 of file iax2-provision.c.

Referenced by iax_process_template(), iax_provision_reload(), iax_template_find(), and iax_template_parse().

unsigned int flags

Definition at line 69 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

unsigned int format

Definition at line 70 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

char lang[10]

Definition at line 64 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

char name[80]

Definition at line 59 of file iax2-provision.c.

Referenced by iax_process_template(), iax_prov_complete_template(), iax_show_provisioning(), iax_template_find(), and iax_template_parse().

struct iax_template* next`[read]`

Definition at line 61 of file iax2-provision.c.

Referenced by iax_process_template(), iax_prov_complete_template(), iax_provision_reload(), iax_show_provisioning(), iax_template_find(), and iax_template_parse().

char pass[20]

Definition at line 63 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

unsigned short port

Definition at line 65 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

unsigned int server

Definition at line 66 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

unsigned short serverport

Definition at line 67 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

char src[80]

Definition at line 60 of file iax2-provision.c.

Referenced by iax_show_provisioning(), and iax_template_parse().

int tos

Definition at line 71 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

char user[20]

Definition at line 62 of file iax2-provision.c.

Referenced by iax_provision_build(), iax_show_provisioning(), and iax_template_parse().

The documentation for this struct was generated from the following file:

- iax2-provision.c